Subject: Bug#139: x2goclient: No keyboard input at login on OSX

From: "Matthew L. Dailey" <[email-masked]>
Date: Mon, 20 May 2013 15:52:07 -0400

Greetings,

I just wanted to report that we're seeing this identical behavior, but in a slightly different way on our Mac OS X clients that are *not* running in broker mode.

When we run the client, everything works well and we are able to start a session. However, if we either terminate or suspend the session, we are no longer able to enter a password in the dialog. The cursor is blinking in the password field, but no characters can be entered. All other functionality seems to work, however - other sessions can be clicked on the right side and settings of sessions can be edited. The workaround is to quit and restart the client.

I had a look at the x2goclient code, and this is a bit out of my league, but something that looked suspicious to me on first glance was passForm->setEnabled() in onmainwindow.cpp. I wonder if this is getting set to false when then session runs and then not getting set back to true when the session ends or is suspended. Just a thought...

Please let me know if you need any other info to help track this down.

-- 
Matthew L. Dailey
Systems Administrator
Thayer School of Engineering
Dartmouth College